using Hncore.Infrastructure.WebApi;
using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace Hncore.Pass.Manage.Request   
{
    public class EditManagerToPermissionRequest : RequestBase

    {

        /// <summary>
        /// 用户数据库ID
        /// <summary>
        [JsonProperty("Id")]
        public int  Id { get; set; }

    /// <summary>
        /// 管理员id
        /// </summary>
        [JsonProperty("ManagerId")]
        public int  ManagerId  { get; set; }

        /// <summary>
        /// 权限编码
        /// </summary>
        [JsonProperty("PermissionCode")]
        public string PermissionCode { get; set; }

        /// <summary>
        /// 是否查看
        /// </summary>
        [JsonProperty("AllowView")]
        public int  AllowView { get; set; }


        /// <summary>
        /// 是否添加
        /// </summary>
        [JsonProperty("AllowAdd")]
        public int  AllowAdd { get; set; }

        /// <summary>
        /// 是否修改
        /// </summary>
 
        [JsonProperty("AllowEdit")]
        public int AllowEdit { get; set; }

        /// <summary>
        /// 是否删除
        /// </summary>
        [JsonProperty("AllowDel")]
        public int AllowDel { get; set; }

    }


}
